Index: usr.bin/window/compress.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/compress.c,v
retrieving revision 1.2
diff -u -r1.2 compress.c
--- usr.bin/window/compress.c	17 Jun 2003 04:29:33 -0000	1.2
+++ usr.bin/window/compress.c	24 Aug 2008 10:15:39 -0000
@@ -124,8 +124,8 @@
 
 #define qinsert(p1, p2) \
 	do { \
-		register struct cc *forw = (p1)->qforw; \
-		register struct cc *back = (p1)->qback; \
+		struct cc *forw = (p1)->qforw; \
+		struct cc *back = (p1)->qback; \
 		back->qforw = forw; \
 		forw->qback = back; \
 		forw = (p2)->qforw; \
@@ -165,8 +165,8 @@
 
 ccinit()
 {
-	register i, j;
-	register struct cc *p;
+	int i, j;
+	struct cc *p;
 
 	if (tt.tt_token_max > cc_token_max)
 		tt.tt_token_max = cc_token_max;
@@ -303,7 +303,7 @@
 
 ccreset()
 {
-	register struct cc *p;
+	struct cc *p;
 
 	bzero((char *) cc_htab, HSIZE * sizeof *cc_htab);
 	for (p = cc_q0a.qforw; p != &cc_q0a; p = p->qforw)
@@ -361,8 +361,8 @@
 	char *buffer;
 	struct cc **tokens;
 {
-	register struct cc **pp = tokens;
-	register i, n;
+	struct cc **pp = tokens;
+	int i, n;
 #ifdef STATS
 	int nn, ii;
 #endif
@@ -417,11 +417,11 @@
 cc_sweep0(buffer, n, length)
 	char *buffer;
 {
-	register char *p;
-	register short *hc;
-	register i;
-	register short c;
-	register short pc = tt.tt_padc;
+	char *p;
+	short *hc;
+	int i;
+	short c;
+	short pc = tt.tt_padc;
 
 	/* n and length are at least 1 */
 	p = buffer++;
@@ -447,11 +447,11 @@
 cc_sweep(buffer, bufsize, tokens, length)
 	char *buffer;
 	struct cc **tokens;
-	register length;
+	int length;
 {
-	register struct cc *p;
-	register char *cp;
-	register i;
+	struct cc *p;
+	char *cp;
+	int i;
 	short *hc;
 	short *places = cc_places[length];
 	struct cc **pp = tokens;
@@ -472,9 +472,9 @@
 		struct cc **h;
 
 		{
-			register short *hc1 = hc;
-			register short c = *cp++;
-			register short hh;
+			short *hc1 = hc;
+			short c = *cp++;
+			short hh;
 			if ((hh = *hc1) < 0 || c == pc) {
 				*hc1++ = -1;
 				hc = hc1;
@@ -485,9 +485,9 @@
 		}
 		for (p = *h; p != 0; p = p->hforw)
 			if (p->length == (char) length) {
-				register char *p1 = p->string;
-				register char *p2 = cp - length;
-				register n = length;
+				char *p1 = p->string;
+				char *p2 = cp - length;
+				int n = length;
 				do
 					if (*p1++ != *p2++)
 						goto fail;
@@ -504,9 +504,9 @@
 				if ((*p->hback = p->hforw) != 0)
 					p->hforw->hback = p->hback;
 			{
-				register char *p1 = p->string;
-				register char *p2 = cp - length;
-				register n = length;
+				char *p1 = p->string;
+				char *p2 = cp - length;
+				int n = length;
 				do
 					*p1++ = *p2++;
 				while (--n);
@@ -621,11 +621,11 @@
 }
 
 cc_sweep_reverse(pp, places)
-	register struct cc **pp;
-	register short *places;
+	struct cc **pp;
+	short *places;
 {
-	register struct cc *p;
-	register short front, back, t;
+	struct cc *p;
+	short front, back, t;
 
 	while ((p = *pp++) != 0) {
 		back = -1;
@@ -644,7 +644,7 @@
 	struct cc **output;
 	struct cc **tokens;
 {
-	register i;
+	int i;
 
 	bzero((char *) output, bufsize * sizeof *output);
 	for (i = 0; i < cc_npass0; i++)
@@ -655,12 +655,12 @@
 }
 
 cc_compress_phase1(output, tokens, ntoken, flag)
-	register struct cc **output;
+	struct cc **output;
 	struct cc **tokens;
 {
-	register struct cc **pp;
+	struct cc **pp;
 #ifdef STATS
-	register int i = 0;
+	int i = 0;
 	int nt = 0, cc = 0, nc = 0;
 #endif
 
@@ -706,15 +706,15 @@
 }
 
 cc_compress_cleanup(output, bufsize)
-	register struct cc **output;
+	struct cc **output;
 {
-	register struct cc **end;
+	struct cc **end;
 
 	/* the previous output phase may have been interrupted */
 	qinsertq(&cc_q0b, &cc_q0a);
 	for (end = output + bufsize; output < end;) {
-		register struct cc *p;
-		register length;
+		struct cc *p;
+		int length;
 		if ((p = *output) == 0) {
 			output++;
 			continue;
@@ -746,7 +746,7 @@
 	char flag;
 {
 	struct cc **pp = tokens;
-	register struct cc *p = *pp++;
+	struct cc *p = *pp++;
 	int length = p->length;
 	int threshold = thresh(length);
 #ifndef cc_weight
@@ -758,7 +758,7 @@
 
 	do {
 		int score;
-		register struct cc_undo *undop;
+		struct cc_undo *undop;
 		int ccount;
 #ifdef STATS
 		int ncover;
@@ -783,10 +783,10 @@
 		ncover = 0;
 #endif
 		for (i = p->places; i >= 0; i = places[i]) {
-			register struct cc **jp;
-			register struct cc *x;
-			register struct cc **ip = output + i;
-			register score0 = initial_score0;
+			struct cc **jp;
+			struct cc *x;
+			struct cc **ip = output + i;
+			int score0 = initial_score0;
 			struct cc **iip = ip + length;
 			struct cc_undo *undop1 = undop;
 
@@ -841,9 +841,9 @@
 #endif
 			p->ccount = ccount;
 		} else {
-			register struct cc_undo *u = cc_undo;
+			struct cc_undo *u = cc_undo;
 			while (--undop >= u) {
-				register struct cc *x;
+				struct cc *x;
 				if (*undop->pos = x = undop->val)
 					x->ccount++;
 			}
@@ -853,12 +853,12 @@
 }
 
 cc_output_phase(buffer, output, bufsize)
-	register char *buffer;
-	register struct cc **output;
-	register bufsize;
+	char *buffer;
+	struct cc **output;
+	int bufsize;
 {
-	register i;
-	register struct cc *p, *p1;
+	int i;
+	struct cc *p, *p1;
 
 	for (i = 0; i < bufsize;) {
 		if ((p = output[i]) == 0) {
Index: usr.bin/window/lcmd2.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/lcmd2.c,v
retrieving revision 1.4
diff -u -r1.4 lcmd2.c
--- usr.bin/window/lcmd2.c	15 Apr 2005 17:55:29 -0000	1.4
+++ usr.bin/window/lcmd2.c	24 Aug 2008 10:16:11 -0000
@@ -183,7 +183,7 @@
 struct value *v, *a;
 {
 	struct ww *w, *wp;
-	register i;
+	int i;
 	int n;
 
 	for (n = 0, i = 0; i < NWINDOW; i++)
@@ -322,7 +322,7 @@
 			struct value *vp;
 			char *p, *q;
 			char *str;
-			register n;
+			int n;
 
 			for (n = 0, vp = a + 1; vp->v_type != V_ERR; vp++, n++)
 				for (p = vp->v_str; *p; p++, n++)
Index: usr.bin/window/main.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/main.c,v
retrieving revision 1.3
diff -u -r1.3 main.c
--- usr.bin/window/main.c	30 Aug 2004 18:06:50 -0000	1.3
+++ usr.bin/window/main.c	24 Aug 2008 10:16:23 -0000
@@ -54,7 +54,7 @@
 main(argc, argv)
 char **argv;
 {
-	register char *p;
+	char *p;
 	char fflag = 0;
 	char dflag = 0;
 	char xflag = 0;
Index: usr.bin/window/mloop.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/mloop.c,v
retrieving revision 1.2
diff -u -r1.2 mloop.c
--- usr.bin/window/mloop.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/mloop.c	24 Aug 2008 10:16:35 -0000
@@ -54,9 +54,9 @@
 				(void) wwgetc();
 			error("Process died.");
 		} else {
-			register struct ww *w = wwcurwin;
-			register char *p;
-			register n;
+			struct ww *w = wwcurwin;
+			char *p;
+			int n;
 
 			if (wwibp >= wwibq)
 				wwiomux();
Index: usr.bin/window/parser1.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/parser1.c,v
retrieving revision 1.2
diff -u -r1.2 parser1.c
--- usr.bin/window/parser1.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/parser1.c	24 Aug 2008 10:16:53 -0000
@@ -184,7 +184,7 @@
 }
 
 p_convstr(v)
-register struct value *v;
+struct value *v;
 {
 	if (v->v_type != V_NUM)
 		return 0;
Index: usr.bin/window/parser2.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/parser2.c,v
retrieving revision 1.2
diff -u -r1.2 parser2.c
--- usr.bin/window/parser2.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/parser2.c	24 Aug 2008 10:17:12 -0000
@@ -49,16 +49,16 @@
  */
 p_function(name, v, flag)
 char *name;
-register struct value *v;
+struct value *v;
 {
 	struct value t;
-	register struct lcmd_tab *c = 0;
-	register struct alias *a = 0;
-	register struct lcmd_arg *ap;		/* this arg */
+	struct lcmd_tab *c = 0;
+	struct alias *a = 0;
+	struct lcmd_arg *ap;		/* this arg */
 	struct lcmd_arg *lp = 0;		/* list arg */
-	register i;
+	int i;
 	struct value av[LCMD_NARG + 1];
-	register struct value *vp;
+	struct value *vp;
 
 	if (name != 0)
 		if (c = lcmd_lookup(name))
Index: usr.bin/window/parser3.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/parser3.c,v
retrieving revision 1.2
diff -u -r1.2 parser3.c
--- usr.bin/window/parser3.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/parser3.c	24 Aug 2008 10:17:24 -0000
@@ -56,7 +56,7 @@
  * unary - + ~ !
  */
 p_expr(v, flag)
-register struct value *v;
+struct value *v;
 char flag;
 {
 	struct value t;
@@ -86,7 +86,7 @@
  * ? :
  */
 p_expr0(v, flag)
-register struct value *v;
+struct value *v;
 char flag;
 {
 	struct value t;
@@ -125,7 +125,7 @@
  * ||
  */
 p_expr1(v, flag)
-register struct value *v;
+struct value *v;
 char flag;
 {
 	char true = 0;
@@ -159,7 +159,7 @@
  * &&
  */
 p_expr2(v, flag)
-register struct value *v;
+struct value *v;
 char flag;
 {
 	char true = 1;
Index: usr.bin/window/parser4.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/parser4.c,v
retrieving revision 1.2
diff -u -r1.2 parser4.c
--- usr.bin/window/parser4.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/parser4.c	24 Aug 2008 10:17:33 -0000
@@ -52,7 +52,7 @@
  * * / %	10
  */
 p_expr3_10(level, v, flag)
-register struct value *v;
+struct value *v;
 char flag;
 {
 	struct value l, r;
Index: usr.bin/window/parser5.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/parser5.c,v
retrieving revision 1.2
diff -u -r1.2 parser5.c
--- usr.bin/window/parser5.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/parser5.c	24 Aug 2008 10:17:43 -0000
@@ -45,7 +45,7 @@
  * unary $ $? + - ! ~
  */
 p_expr11(v, flag)
-register struct value *v;
+struct value *v;
 char flag;
 {
 	int op;
@@ -147,7 +147,7 @@
  * Always return v_type == V_ERR when flag == 0.
  */
 p_expr12(v, flag)
-register struct value *v;
+struct value *v;
 char flag;
 {
 	v->v_type = V_ERR;
Index: usr.bin/window/scanner.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/scanner.c,v
retrieving revision 1.2
diff -u -r1.2 scanner.c
--- usr.bin/window/scanner.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/scanner.c	24 Aug 2008 10:18:16 -0000
@@ -47,7 +47,7 @@
 
 s_getc()
 {
-	register c;
+	int c;
 
 	switch (cx.x_type) {
 	case X_FILE:
@@ -88,9 +88,9 @@
 s_gettok()
 {
 	char buf[100];
-	register char *p = buf;
-	register c;
-	register state = 0;
+	char *p = buf;
+	int c;
+	int state = 0;
 
 loop:
 	c = s_getc();
@@ -509,8 +509,8 @@
 
 s_gettok1()
 {
-	register c;
-	register n;
+	int c;
+	int n;
 
 	c = s_getc();			/* got \ */
 	switch (c) {
Index: usr.bin/window/startup.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/startup.c,v
retrieving revision 1.2
diff -u -r1.2 startup.c
--- usr.bin/window/startup.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/startup.c	24 Aug 2008 10:18:32 -0000
@@ -64,7 +64,7 @@
 dodefault()
 {
 	struct ww *w;
-	register r = wwnrow / 2 - 1;
+	int r = wwnrow / 2 - 1;
 
 	if (openwin(1, r + 2, 0, wwnrow - r - 2, wwncol, default_nline,
 		(char *) 0, 1, 1, default_shellfile, default_shell) == 0)
Index: usr.bin/window/string.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/string.c,v
retrieving revision 1.3
diff -u -r1.3 string.c
--- usr.bin/window/string.c	28 Feb 2005 13:57:05 -0000	1.3
+++ usr.bin/window/string.c	24 Aug 2008 10:19:02 -0000
@@ -43,10 +43,10 @@
 
 char *
 str_cpy(s)
-register char *s;
+char *s;
 {
 	char *str;
-	register char *p;
+	char *p;
 
 	str = p = str_alloc(strlen(s) + 1);
 	if (p == 0)
@@ -58,12 +58,12 @@
 
 char *
 str_ncpy(s, n)
-register char *s;
-register n;
+char *s;
+int n;
 {
 	int l = strlen(s);
 	char *str;
-	register char *p;
+	char *p;
 
 	if (n > l)
 		n = l;
@@ -91,7 +91,7 @@
 char *s1, *s2;
 {
 	char *str;
-	register char *p, *q;
+	char *p, *q;
 
 	str = p = str_alloc(strlen(s1) + strlen(s2) + 1);
 	if (p == 0)
@@ -108,8 +108,8 @@
  * s can be a prefix of p with at least min characters.
  */
 str_match(s, p, min)
-register char *s, *p;
-register min;
+char *s, *p;
+int min;
 {
 	for (; *s && *p && *s == *p; s++, p++, min--)
 		;
@@ -121,7 +121,7 @@
 str_alloc(l)
 int l;
 {
-	register struct mystring *s;
+	struct mystring *s;
 
 	s = (struct mystring *) malloc((unsigned)l + str_offset);
 	if (s == 0)
@@ -138,7 +138,7 @@
 str_free(str)
 char *str;
 {
-	register struct mystring *s;
+	struct mystring *s;
 
 	for (s = str_head.s_forw; s != &str_head && s->s_data != str;
 	     s = s->s_forw)
Index: usr.bin/window/ttgeneric.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/ttgeneric.c,v
retrieving revision 1.2
diff -u -r1.2 ttgeneric.c
--- usr.bin/window/ttgeneric.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/ttgeneric.c	24 Aug 2008 10:19:47 -0000
@@ -131,9 +131,9 @@
 }
 
 gen_setmodes(new)
-register new;
+int new;
 {
-	register diff;
+	int diff;
 
 	diff = new ^ tt.tt_modes;
 	if (diff & WWM_REV) {
@@ -194,7 +194,7 @@
 }
 
 gen_putc(c)
-register char c;
+char c;
 {
 	if (tt.tt_insert)
 		gen_setinsert(0);
@@ -211,8 +211,8 @@
 }
 
 gen_write(p, n)
-	register char *p;
-	register n;
+	char *p;
+	int n;
 {
 	if (tt.tt_insert)
 		gen_setinsert(0);
@@ -230,7 +230,7 @@
 }
 
 gen_move(row, col)
-register int row, col;
+int row, col;
 {
 	if (tt.tt_row == row && tt.tt_col == col)
 		return;
@@ -322,7 +322,7 @@
 }
 
 gen_inschar(c)
-register char c;
+char c;
 {
 	if (!tt.tt_insert)
 		gen_setinsert(1);
Index: usr.bin/window/tth19.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/tth19.c,v
retrieving revision 1.2
diff -u -r1.2 tth19.c
--- usr.bin/window/tth19.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/tth19.c	24 Aug 2008 10:20:21 -0000
@@ -71,7 +71,7 @@
 int h19_msp10c;
 
 #define PAD(ms10) { \
-	register i; \
+	int i; \
 	for (i = ((ms10) + 5) / h19_msp10c; --i >= 0;) \
 		ttputc('\0'); \
 }
@@ -81,9 +81,9 @@
 #define H19_SETINSERT(m) ttesc((tt.tt_insert = (m)) ? '@' : 'O')
 
 h19_setmodes(new)
-register new;
+int new;
 {
-	register diff;
+	int diff;
 
 	diff = new ^ tt.tt_modes;
 	if (diff & WWM_REV)
@@ -110,7 +110,7 @@
 }
 
 h19_putc(c)
-register char c;
+char c;
 {
 	if (tt.tt_nmodes != tt.tt_modes)
 		(*tt.tt_setmodes)(tt.tt_nmodes);
@@ -122,8 +122,8 @@
 }
 
 h19_write(p, n)
-register char *p;
-register n;
+char *p;
+int n;
 {
 	if (tt.tt_nmodes != tt.tt_modes)
 		(*tt.tt_setmodes)(tt.tt_nmodes);
@@ -136,7 +136,7 @@
 }
 
 h19_move(row, col)
-register char row, col;
+char row, col;
 {
 	if (tt.tt_row == row) {
 		if (tt.tt_col == col)
@@ -212,7 +212,7 @@
 }
 
 h19_inschar(c)
-register char c;
+char c;
 {
 	if (tt.tt_nmodes != tt.tt_modes)
 		(*tt.tt_setmodes)(tt.tt_nmodes);
Index: usr.bin/window/tth29.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/tth29.c,v
retrieving revision 1.2
diff -u -r1.2 tth29.c
--- usr.bin/window/tth29.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/tth29.c	24 Aug 2008 10:20:46 -0000
@@ -59,9 +59,9 @@
  */
 
 h29_setmodes(new)
-register new;
+int new;
 {
-	register modes = '0';
+	int modes = '0';
 
 	if (new & WWM_REV)
 		modes += 0x01;
Index: usr.bin/window/ttinit.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/ttinit.c,v
retrieving revision 1.2
diff -u -r1.2 ttinit.c
--- usr.bin/window/ttinit.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/ttinit.c	24 Aug 2008 10:21:00 -0000
@@ -68,9 +68,9 @@
 ttinit()
 {
 	int i;
-	register struct tt_tab *tp;
-	register char *p, *q;
-	register char *t;
+	struct tt_tab *tp;
+	char *p, *q;
+	char *t;
 
 	tt_strp = tt_strings;
 
Index: usr.bin/window/ttoutput.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/ttoutput.c,v
retrieving revision 1.2
diff -u -r1.2 ttoutput.c
--- usr.bin/window/ttoutput.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/ttoutput.c	24 Aug 2008 10:21:24 -0000
@@ -49,8 +49,8 @@
 
 ttflush()
 {
-	register char *p;
-	register n = tt_obp - tt_ob;
+	char *p;
+	int n = tt_obp - tt_ob;
 
 	if (n == 0)
 		return;
@@ -82,15 +82,15 @@
 }
 
 ttputs(s)
-register char *s;
+char *s;
 {
 	while (*s)
 		ttputc(*s++);
 }
 
 ttwrite(s, n)
-	register char *s;
-	register n;
+	char *s;
+	int n;
 {
 	switch (n) {
 	case 0:
@@ -130,7 +130,7 @@
 		break;
 	default:
 		while (n > 0) {
-			register m;
+			int m;
 
 			while ((m = tt_obe - tt_obp) == 0)
 				ttflush();
Index: usr.bin/window/tttermcap.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/tttermcap.c,v
retrieving revision 1.3
diff -u -r1.3 tttermcap.c
--- usr.bin/window/tttermcap.c	28 Feb 2005 13:57:05 -0000	1.3
+++ usr.bin/window/tttermcap.c	24 Aug 2008 10:21:38 -0000
@@ -57,7 +57,7 @@
 tttgetstr(str)
 	char *str;
 {
-	register struct tt_str *s;
+	struct tt_str *s;
 
 	if ((str = tgetstr(str, &tt_strp)) == 0)
 		return 0;
@@ -72,7 +72,7 @@
 ttxgetstr(str)
 	char *str;
 {
-	register struct tt_str *s;
+	struct tt_str *s;
 	char buf[100];
 	char *bufp = buf;
 
@@ -90,7 +90,7 @@
 tttgoto(s, col, row)
 	struct tt_str *s;
 {
-	register char *p = s->ts_str;
+	char *p = s->ts_str;
 
 	ttputs(tgoto(p, col, row));
 	for (p += s->ts_n; *--p == 0;)
@@ -105,7 +105,7 @@
 }
 
 ttstrcmp(a, b)
-	register struct tt_str *a, *b;
+	struct tt_str *a, *b;
 {
 	int n, r;
 
Index: usr.bin/window/ttzapple.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/ttzapple.c,v
retrieving revision 1.2
diff -u -r1.2 ttzapple.c
--- usr.bin/window/ttzapple.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/ttzapple.c	24 Aug 2008 10:22:11 -0000
@@ -109,8 +109,8 @@
 }
 
 zz_write(p, n)
-	register char *p;
-	register n;
+	char *p;
+	int n;
 {
 	if (tt.tt_nmodes != tt.tt_modes)
 		zz_setmodes(tt.tt_nmodes);
@@ -121,9 +121,9 @@
 }
 
 zz_move(row, col)
-	register row, col;
+	int row, col;
 {
-	register x;
+	int x;
 
 	if (tt.tt_row == row) {
 same_row:
@@ -357,13 +357,13 @@
 zz_rint(p, n)
 	char *p;
 {
-	register i;
-	register char *q;
+	int i;
+	char *q;
 
 	if (!zz_ecc)
 		return n;
 	for (i = n, q = p; --i >= 0;) {
-		register c = (unsigned char) *p++;
+		int c = (unsigned char) *p++;
 
 		if (zz_lastc == 0) {
 			switch (c) {
@@ -411,11 +411,11 @@
 }
 
 zz_checksum(p, n)
-	register char *p;
-	register n;
+	char *p;
+	int n;
 {
 	while (--n >= 0) {
-		register c = *p++ & 0x7f;
+		int c = *p++ & 0x7f;
 		c ^= zz_sum;
 		zz_sum = c << 1 | c >> 11 & 1;
 	}
Index: usr.bin/window/var.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/var.c,v
retrieving revision 1.3
diff -u -r1.3 var.c
--- usr.bin/window/var.c	28 Feb 2005 13:57:05 -0000	1.3
+++ usr.bin/window/var.c	24 Aug 2008 10:22:35 -0000
@@ -48,8 +48,8 @@
 char *name;
 struct value *v;
 {
-	register struct var **p;
-	register struct var *r;
+	struct var **p;
+	struct var *r;
 	struct value val;
 
 	/* do this first, easier to recover */
@@ -108,8 +108,8 @@
 struct var **head;
 char *name;
 {
-	register struct var **p;
-	register struct var *r;
+	struct var **p;
+	struct var *r;
 
 	if (*(p = var_lookup1(head, name)) == 0)
 		return -1;
@@ -126,10 +126,10 @@
 
 struct var **
 var_lookup1(p, name)
-register struct var **p;
-register char *name;
+struct var **p;
+char *name;
 {
-	register cmp;
+	int cmp;
 
 	while (*p != 0) {
 		if ((cmp = strcmp(name, (*p)->r_name)) < 0)
@@ -143,7 +143,7 @@
 }
 
 var_walk1(r, func, a)
-register struct var *r;
+struct var *r;
 int (*func)();
 long a;
 {
Index: usr.bin/window/win.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/win.c,v
retrieving revision 1.2
diff -u -r1.2 win.c
--- usr.bin/window/win.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/win.c	24 Aug 2008 10:23:15 -0000
@@ -66,7 +66,7 @@
 char haspty, hasframe;
 char *shf, **sh;
 {
-	register struct ww *w;
+	struct ww *w;
 
 	if (id < 0 && (id = findid()) < 0)
 		return 0;
@@ -105,7 +105,7 @@
 
 findid()
 {
-	register i;
+	int i;
 
 	for (i = 0; i < NWINDOW && window[i] != 0; i++)
 		;
@@ -119,8 +119,8 @@
 struct ww *
 findselwin()
 {
-	register struct ww *w, *s = 0;
-	register i;
+	struct ww *w, *s = 0;
+	int i;
 
 	for (i = 0; i < NWINDOW; i++)
 		if ((w = window[i]) != 0 && w != selwin &&
@@ -134,10 +134,10 @@
  * Close a user window.  Close all if w == 0.
  */
 closewin(w)
-register struct ww *w;
+struct ww *w;
 {
 	char didit = 0;
-	register i;
+	int i;
 
 	if (w != 0) {
 		closewin1(w);
@@ -170,7 +170,7 @@
 openiwin(nrow, label)
 char *label;
 {
-	register struct ww *w;
+	struct ww *w;
 
 	if ((w = wwopen(0, nrow, wwncol, 2, 0, 0)) == 0)
 		return 0;
@@ -198,7 +198,7 @@
 }
 
 closewin1(w)
-register struct ww *w;
+struct ww *w;
 {
 	if (w == selwin)
 		selwin = 0;
@@ -220,7 +220,7 @@
  * Always reframe() if doreframe is true.
  */
 front(w, doreframe)
-register struct ww *w;
+struct ww *w;
 char doreframe;
 {
 	if (w->ww_back != (isfg(w) ? framewin : fgwin) && !wwvisible(w)) {
@@ -237,7 +237,7 @@
  * For normal windows, we put it behind the current window.
  */
 addwin(w, fg)
-register struct ww *w;
+struct ww *w;
 char fg;
 {
 	if (fg) {
@@ -253,7 +253,7 @@
  * Delete a window.
  */
 deletewin(w)
-register struct ww *w;
+struct ww *w;
 {
 	if (fgwin == w)
 		fgwin = w->ww_back;
@@ -262,7 +262,7 @@
 
 reframe()
 {
-	register struct ww *w;
+	struct ww *w;
 
 	wwunframe(framewin);
 	for (w = wwhead.ww_back; w != &wwhead; w = w->ww_back)
@@ -273,7 +273,7 @@
 }
 
 labelwin(w)
-register struct ww *w;
+struct ww *w;
 {
 	int mode = w == selwin ? WWM_REV : 0;
 
@@ -299,7 +299,7 @@
 }
 
 stopwin(w)
-	register struct ww *w;
+	struct ww *w;
 {
 	if (w->ww_pty >= 0 && w->ww_ispty && wwstoptty(w->ww_pty) < 0)
 		error("Can't stop output: %s.", wwerror());
@@ -308,7 +308,7 @@
 }
 
 startwin(w)
-	register struct ww *w;
+	struct ww *w;
 {
 	if (w->ww_pty >= 0 && w->ww_ispty && wwstarttty(w->ww_pty) < 0)
 		error("Can't start output: %s.", wwerror());
@@ -317,7 +317,7 @@
 }
 
 sizewin(w, nrow, ncol)
-register struct ww *w;
+struct ww *w;
 {
 	struct ww *back = w->ww_back;
 
@@ -337,7 +337,7 @@
 }
 
 more(w, always)
-register struct ww *w;
+struct ww *w;
 char always;
 {
 	int c;
@@ -353,7 +353,7 @@
 }
 
 waitnl1(w, prompt)
-register struct ww *w;
+struct ww *w;
 char *prompt;
 {
 	char uc = w->ww_unctrl;
Index: usr.bin/window/wwadd.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwadd.c,v
retrieving revision 1.2
diff -u -r1.2 wwadd.c
--- usr.bin/window/wwadd.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwadd.c	24 Aug 2008 10:23:58 -0000
@@ -44,11 +44,11 @@
  * Stick w1 behind w2.
  */
 wwadd(w1, w2)
-register struct ww *w1;
+struct ww *w1;
 struct ww *w2;
 {
-	register i;
-	register struct ww *w;
+	int i;
+	struct ww *w;
 
 	w1->ww_order = w2->ww_order + 1;
 	w1->ww_back = w2;
@@ -59,9 +59,9 @@
 	for (w = w1->ww_forw; w != &wwhead; w = w->ww_forw)
 		w->ww_order++;
 	for (i = w1->ww_i.t; i < w1->ww_i.b; i++) {
-		register j;
-		register char *smap = wwsmap[i];
-		register char *win = w1->ww_win[i];
+		int j;
+		char *smap = wwsmap[i];
+		char *win = w1->ww_win[i];
 		union ww_char *ns = wwns[i];
 		union ww_char *buf = w1->ww_buf[i];
 		int nvis = 0;
Index: usr.bin/window/wwalloc.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwalloc.c,v
retrieving revision 1.2
diff -u -r1.2 wwalloc.c
--- usr.bin/window/wwalloc.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwalloc.c	24 Aug 2008 10:24:09 -0000
@@ -44,8 +44,8 @@
 char **
 wwalloc(row, col, nrow, ncol, size)
 {
-	register char *p, **pp;
-	register int i;
+	char *p, **pp;
+	int i;
 
 	/* fast, call malloc only once */
 	pp = (char **)
@@ -66,7 +66,7 @@
 }
 
 wwfree(p, row)
-register char **p;
+char **p;
 {
 	free((char *)(p + row));
 }
Index: usr.bin/window/wwbox.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwbox.c,v
retrieving revision 1.2
diff -u -r1.2 wwbox.c
--- usr.bin/window/wwbox.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwbox.c	24 Aug 2008 10:24:34 -0000
@@ -42,12 +42,12 @@
 #include "tt.h"
 
 wwbox(w, r, c, nr, nc)
-register struct ww *w;
-register r, c;
+struct ww *w;
+int r, c;
 int nr, nc;
 {
-	register r1, c1;
-	register i;
+	int r1, c1;
+	int i;
 
 	r1 = r + nr - 1;
 	c1 = c + nc - 1;
Index: usr.bin/window/wwchild.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwchild.c,v
retrieving revision 1.2
diff -u -r1.2 wwchild.c
--- usr.bin/window/wwchild.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwchild.c	24 Aug 2008 10:24:47 -0000
@@ -47,7 +47,7 @@
 wwchild()
 {
 	int olderrno;
-	register struct ww **wp;
+	struct ww **wp;
 	union wait w;
 	int pid;
 	char collected = 0;
Index: usr.bin/window/wwclose.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwclose.c,v
retrieving revision 1.2
diff -u -r1.2 wwclose.c
--- usr.bin/window/wwclose.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwclose.c	24 Aug 2008 10:24:57 -0000
@@ -41,7 +41,7 @@
 #include "ww.h"
 
 wwclose(w)
-register struct ww *w;
+struct ww *w;
 {
 	wwindex[w->ww_index] = 0;
 	if (w->ww_pty >= 0)
Index: usr.bin/window/wwclreol.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwclreol.c,v
retrieving revision 1.2
diff -u -r1.2 wwclreol.c
--- usr.bin/window/wwclreol.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwclreol.c	24 Aug 2008 10:25:21 -0000
@@ -46,17 +46,17 @@
  * If cleared is true, then the screen line has already been cleared.
  */
 wwclreol1(w, row, col, cleared)
-register struct ww *w;
+struct ww *w;
 int row, col;
 char cleared;
 {
-	register i;
+	int i;
 
 	/*
 	 * Clear the buffer right off
 	 */
 	{
-		register union ww_char *buf;
+		union ww_char *buf;
 
 		buf = &w->ww_buf[row][col];
 		for (i = w->ww_b.r - col; --i >= 0;)
@@ -77,8 +77,8 @@
 	 * Now fix wwns.
 	 */
 	{
-		register union ww_char *s;
-		register char *smap, *win;
+		union ww_char *s;
+		char *smap, *win;
 
 		i = col;
 		smap = &wwsmap[row][i];
Index: usr.bin/window/wwclreos.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwclreos.c,v
retrieving revision 1.2
diff -u -r1.2 wwclreos.c
--- usr.bin/window/wwclreos.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwclreos.c	24 Aug 2008 10:25:41 -0000
@@ -42,9 +42,9 @@
 #include "tt.h"
 
 wwclreos(w, row, col)
-register struct ww *w;
+struct ww *w;
 {
-	register i;
+	int i;
 
 	wwclreol(w, row, col);
 	for (i = row + 1; i < w->ww_b.b; i++)
Index: usr.bin/window/wwcursor.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwcursor.c,v
retrieving revision 1.2
diff -u -r1.2 wwcursor.c
--- usr.bin/window/wwcursor.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwcursor.c	24 Aug 2008 10:26:04 -0000
@@ -41,9 +41,9 @@
 #include "ww.h"
 
 wwcursor(w, on)
-register struct ww *w;
+struct ww *w;
 {
-	register char *win;
+	char *win;
 
 	if (on) {
 		if (w->ww_hascursor)
@@ -72,11 +72,11 @@
 }
 
 wwsetcursormodes(new)
-register new;
+int new;
 {
-	register i;
-	register struct ww *w;
-	register old = wwcursormodes;
+	int i;
+	struct ww *w;
+	int old = wwcursormodes;
 
 	new &= wwavailmodes;
 	if (new == wwcursormodes)
Index: usr.bin/window/wwdelchar.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwdelchar.c,v
retrieving revision 1.2
diff -u -r1.2 wwdelchar.c
--- usr.bin/window/wwdelchar.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwdelchar.c	24 Aug 2008 10:26:31 -0000
@@ -42,16 +42,16 @@
 #include "tt.h"
 
 wwdelchar(w, row, col)
-register struct ww *w;
+struct ww *w;
 {
-	register i;
+	int i;
 	int nvis;
 
 	/*
 	 * First, shift the line.
 	 */
 	{
-		register union ww_char *p, *q;
+		union ww_char *p, *q;
 
 		p = &w->ww_buf[row][col];
 		q = p + 1;
@@ -74,10 +74,10 @@
 	 * Now find out how much is actually changed, and fix wwns.
 	 */
 	{
-		register union ww_char *buf;
-		register char *win;
-		register union ww_char *ns;
-		register char *smap;
+		union ww_char *buf;
+		char *win;
+		union ww_char *ns;
+		char *smap;
 		char touched;
 
 		nvis = 0;
@@ -111,7 +111,7 @@
 	 * Can/Should we use delete character?
 	 */
 	if (tt.tt_delchar != 0 && nvis > (wwncol - col) / 2) {
-		register union ww_char *p, *q;
+		union ww_char *p, *q;
 
 		xxdelchar(row, col);
 		p = &wwos[row][col];
Index: usr.bin/window/wwdelete.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwdelete.c,v
retrieving revision 1.2
diff -u -r1.2 wwdelete.c
--- usr.bin/window/wwdelete.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwdelete.c	24 Aug 2008 10:27:06 -0000
@@ -44,15 +44,15 @@
  * Pull w free from the cover list.
  */
 wwdelete(w)
-register struct ww *w;
+struct ww *w;
 {
-	register i;
+	int i;
 
 	for (i = w->ww_i.t; i < w->ww_i.b; i++) {
-		register j;
-		register char *smap = wwsmap[i];
-		register union ww_char *ns = wwns[i];
-		register int nchanged = 0;
+		int j;
+		char *smap = wwsmap[i];
+		union ww_char *ns = wwns[i];
+		int nchanged = 0;
 
 		for (j = w->ww_i.l; j < w->ww_i.r; j++)
 			if (smap[j] == w->ww_index) {
@@ -65,7 +65,7 @@
 	}
 
 	{
-		register struct ww *wp;
+		struct ww *wp;
 
 		for (wp = w->ww_forw; wp != &wwhead; wp = wp->ww_forw)
 			wp->ww_order--;
@@ -81,7 +81,7 @@
 }
 
 wwdelete1(w, t, b, l, r)
-register struct ww *w;
+struct ww *w;
 {
 	int i;
 	int tt, bb, ll, rr;
@@ -99,11 +99,11 @@
 		goto again;
 	}
 	for (i = tt; i < bb; i++) {
-		register j;
-		register char *smap = wwsmap[i];
-		register union ww_char *ns = wwns[i];
-		register char *win = w->ww_win[i];
-		register union ww_char *buf = w->ww_buf[i];
+		int j;
+		char *smap = wwsmap[i];
+		union ww_char *ns = wwns[i];
+		char *win = w->ww_win[i];
+		union ww_char *buf = w->ww_buf[i];
 		int nvis = w->ww_nvis[i];
 		int nchanged = 0;
 
Index: usr.bin/window/wwdelline.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwdelline.c,v
retrieving revision 1.2
diff -u -r1.2 wwdelline.c
--- usr.bin/window/wwdelline.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwdelline.c	24 Aug 2008 10:27:26 -0000
@@ -41,12 +41,12 @@
 #include "ww.h"
 
 wwdelline(w, row)
-register struct ww *w;
+struct ww *w;
 int row;
 {
-	register i;
-	register union ww_char **cpp, **cqq;
-	register union ww_char *cp;
+	int i;
+	union ww_char **cpp, **cqq;
+	union ww_char *cp;
 	int row1, row2;
 	char deleted;
 	int visible;
